"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var multiple_cucumber_html_reporter_1 = require("multiple-cucumber-html-reporter");
require("dotenv").config({ path: ".env.platform" });
multiple_cucumber_html_reporter_1.default.generate({
    jsonDir: "test-results",
    reportPath: "test-results",
    reportName: "E2E Apollo Automation",
    pageTitle: "Investec Web App Automation Report",
    displayDuration: false,
    metadata: {
        browser: {
            name: "chrome",
            version: "112",
        },
        device: process.env.USER,
        platform: {
            name: "osx",
        },
    },
    customData: {
        title: "SUT and Test Execution Details",
        data: [
            { label: "Project", value: "BTB Apollo" },
            { label: "Release", value: "Thursday, the 20th of July 2023" },
            { label: "Cycle", value: "Beneficiaries Module Regression" }
        ],
    },
});
